Bug 134315 - Compatibility package needed for applications with embedded Python engine
Compatibility package needed for applications with embedded Python engine
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: python (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 07:33 EDT by Göran Uddeborg
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 16:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo program including a Python engine. (182 bytes, text/plain)
2004-10-01 07:36 EDT, Göran Uddeborg
no flags Details

  None (edit)
Description Göran Uddeborg 2004-10-01 07:33:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
To ensure backward compatibility, a Python 2.2 package is needed in
addition to the standard Python 2.3.  Applications built on RHEL3 with
an embedded Python engine will not be able to run on RHEL4 otherwise.


Version-Release number of selected component (if applicable):
python-2.3.4-10

How reproducible:
Always

Steps to Reproduce:
1. Compile the attached program on an RHEL3 system with the command

cc -I/usr/include/python2.2 demo.c
/usr/lib/python2.2/config/libpython2.2.a -ldl -lpthread -lutil -lm -o demo

2.Run this on RHEL4 (beta): ./demo

Actual Results:  
schiphol> ./demo
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "<string>", line 1, in ?
ImportError: No module named os


Expected Results:  
Just the string

  posix

as if the program is run on RHEL3.

Additional info:

It would not help to fiddle with PYTHONPATH so demo would find the
Python 2.3 modules; the 2.2 engine can not load 2.3 modules.

It appears as it would be easy for Python 2.2 and Python 2.3 to
coexist.  Almost everything, except for the /usr/bin/python and
/usr/bin/python2 executables, contain the 2.3 version number in the path.
Comment 1 Göran Uddeborg 2004-10-01 07:36:19 EDT
Created attachment 104625 [details]
Demo program including a Python engine.
Comment 4 Suzanne Hillman 2005-04-05 16:00:03 EDT
Red Hat does not guarantee binary compatibility across major releases for all
packages.  For an explanation of Red Hat's compatibility support across major
releases, see the Red Hat Enterprise Linux 4 Application Compatibility Whitepaper:

http://www.redhat.com/f/pdf/rhel4/AppCompat.pdf

Note You need to log in before you can comment on or make changes to this bug.